| Home | Libraries | People | FAQ | More

##### windows::basic_object_handle::close (1 of 2 overloads)

Close the handle.

    void close();

This function is used to close the handle. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `boost::asio::error::operation_aborted` error.

###### Exceptions

boost::system::system_error

  Thrown on failure.